# Change Log - @fluentui-copilot/react-reference

This log was last generated on Sat, 03 May 2025 01:27:44 GMT and should not be manually modified.

<!-- Start content -->

## [0.15.3](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.15.3)

Sat, 03 May 2025 01:27:44 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.15.2..@fluentui-copilot/react-reference_v0.15.3)

### Patches

- fix: Adding cursor pointer styles to Citation to avoid flicker when hovering it. ([PR #2975](https://github.com/microsoft/fluentai/pull/2975) by makotom@microsoft.com)
- chore: Bump @fluentui/react-components to 9.63.0. ([PR #2917](https://github.com/microsoft/fluentai/pull/2917) by estebanmu@microsoft.com)

## [0.15.2](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.15.2)

Wed, 30 Apr 2025 01:47:49 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.14.0..@fluentui-copilot/react-reference_v0.15.2)

### Patches

- chore: Bump @fluentui/react-components to 9.58.3. ([PR #2963](https://github.com/microsoft/fluentai/pull/2963) by owcampbe@microsoft.com)

## [0.14.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.14.0)

Thu, 20 Mar 2025 17:00:43 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.13.10..@fluentui-copilot/react-reference_v0.14.0)

### Patches

- chore: Updating imports of tokens to be imported from @fluentui-copilot/tokens instead of from @fluentui/react-components. ([PR #2745](https://github.com/microsoft/fluentai/pull/2745) by makotom@microsoft.com)
- feat: Add designVersion=next styles to Citation, Reference, and ReferenceListOverflowButton. ([PR #2805](https://github.com/microsoft/fluentai/pull/2805) by owcampbe@microsoft.com)

## [0.13.10](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.13.10)

Fri, 28 Feb 2025 00:27:24 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.13.9..@fluentui-copilot/react-reference_v0.13.10)

### Patches

- fix: overflow button now included in overflow calculation, preventing it from exceeding its parent container. ([PR #2703](https://github.com/microsoft/fluentai/pull/2703) by tristan.watanabe@gmail.com)

## [0.13.8](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.13.8)

Wed, 18 Dec 2024 08:55:42 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.13.6..@fluentui-copilot/react-reference_v0.13.8)

### Patches

- chore: Banning * exports. ([PR #2477](https://github.com/microsoft/fluentai/pull/2477) by makotom@microsoft.com)
- fix: Making children optional in citationPreviewProps and referencePreviewProps in generateReferenceCitationPreview. ([PR #2473](https://github.com/microsoft/fluentai/pull/2473) by makotom@microsoft.com)

## [0.13.6](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.13.6)

Thu, 31 Oct 2024 17:41:07 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.13.2..@fluentui-copilot/react-reference_v0.13.6)

### Patches

- fix(react-reference): Fix width of reference with link ([PR #2228](https://github.com/microsoft/fluentai/pull/2228) by jiangemma@microsoft.com)
- fix(react-reference): Fix accessible names of Reference close button to say "Close" first ([PR #2281](https://github.com/microsoft/fluentai/pull/2281) by jiangemma@microsoft.com)
- chore: bump @fluentui dependencies to latest 9.55.1. ([PR #2243](https://github.com/microsoft/fluentai/pull/2243) by jiangemma@microsoft.com)

## [0.13.2](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.13.2)

Wed, 04 Sep 2024 18:11:50 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.13.0..@fluentui-copilot/react-reference_v0.13.2)

### Patches

- fix: Separate 'Show more/Show less' overflow button from arrowing behavior within ReferenceList. ([PR #2115](https://github.com/microsoft/fluentai/pull/2115) by makotom@microsoft.com)

## [0.13.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.13.0)

Wed, 21 Aug 2024 00:26:04 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.12.3..@fluentui-copilot/react-reference_v0.13.0)

### Patches

- chore: Removing shorthands' usage now that griffel supports them. ([PR #1994](https://github.com/microsoft/fluentai/pull/1994) by Humberto.Morimoto@microsoft.com)
- chore: Bumping versions of @fluentui/* and @griffel/* packages to latest (corresponding to version 9.54.8 of @fluentui/react-components). ([PR #1993](https://github.com/microsoft/fluentai/pull/1993) by Humberto.Morimoto@microsoft.com)
- chore: bump react-components version to 9.54.10. ([PR #2018](https://github.com/microsoft/fluentai/pull/2018) by ololubek@microsoft.com)
- feat: Adding minVisibleReferences prop to ReferenceList that controls how many references to always show before overflowing. ([PR #2004](https://github.com/microsoft/fluentai/pull/2004) by humbertomakotomorimoto@gmail.com)

## [0.12.3](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.12.3)

Mon, 05 Aug 2024 19:36:41 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.12.2..@fluentui-copilot/react-reference_v0.12.3)

### Patches

- fix: Miscellaneous fit and finish fixes for Citation and Reference. ([PR #1980](https://github.com/microsoft/fluentai/pull/1980) by Humberto.Morimoto@microsoft.com)

## [0.12.2](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.12.2)

Thu, 01 Aug 2024 22:28:24 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.12.1..@fluentui-copilot/react-reference_v0.12.2)

### Patches

- fix: Correctly wrapping Reference v2 contents and fixing alignment styles. ([PR #1940](https://github.com/microsoft/fluentai/pull/1940) by makotom@microsoft.com)

## [0.12.1](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.12.1)

Tue, 23 Jul 2024 00:56:25 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.12.0..@fluentui-copilot/react-reference_v0.12.1)

### Patches

- feat: Deduplicating overflow code by using useOverflowMaxVisibleItems shared hook instead. ([PR #1762](https://github.com/microsoft/fluentai/pull/1762) by Humberto.Morimoto@microsoft.com)
- Bump Fluent UI version to latest ([PR #1805](https://github.com/microsoft/fluentai/pull/1805) by jiangemma@microsoft.com)
- feat(react-reference): Creating generateReferenceCitationPreview function that can generate a Citation <-> Reference pair without being restricted by the rules of hooks. ([PR #1782](https://github.com/microsoft/fluentai/pull/1782) by Humberto.Morimoto@microsoft.com)

## [0.12.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.12.0)

Thu, 20 Jun 2024 23:05:53 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.11.4..@fluentui-copilot/react-reference_v0.12.0)

### Minor changes

- chore: Deprecating Reference v1 pattern, and consolidating Citation, Reference v1 and Reference v2 docs. ([PR #1731](https://github.com/microsoft/fluentai/pull/1731) by Humberto.Morimoto@microsoft.com)

### Patches

- fix: Making some fit-and-finish styling changes to better match design specs. ([PR #1748](https://github.com/microsoft/fluentai/pull/1748) by humbertomakotomorimoto@gmail.com)

## [0.11.4](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.11.4)

Thu, 13 Jun 2024 21:00:45 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.11.3..@fluentui-copilot/react-reference_v0.11.4)

### Patches

- fix: Fixing Reference anchor behavior and improving reference-v2 docs. ([PR #1698](https://github.com/microsoft/fluentai/pull/1698) by Humberto.Morimoto@microsoft.com)
- chore: Allow PreviewHeader props to be modified in useReferenceCitationPreview hooks. ([PR #1727](https://github.com/microsoft/fluentai/pull/1727) by humbertomakotomorimoto@gmail.com)
- fix: Fixing PreviewHeader styles, taking previewSurfaceProps.children into account in hook, and improving docs. ([PR #1702](https://github.com/microsoft/fluentai/pull/1702) by Humberto.Morimoto@microsoft.com)

## [0.11.3](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.11.3)

Fri, 31 May 2024 18:42:53 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.11.2..@fluentui-copilot/react-reference_v0.11.3)

### Patches

- chore: Removing tint API from Reference v2 components until we come up with a more robust approach. ([PR #1688](https://github.com/microsoft/fluentai/pull/1688) by Humberto.Morimoto@microsoft.com)
- feat: Adding anchor semantics to Reference v2. ([PR #1645](https://github.com/microsoft/fluentai/pull/1645) by Humberto.Morimoto@microsoft.com)
- chore: bump @fluentui dependencies to latest 9.52.0. ([PR #1657](https://github.com/microsoft/fluentai/pull/1657) by tristan.watanabe@gmail.com)
- fix(react-reference): Fixing focus behavior when expanding/contracting references. ([PR #1682](https://github.com/microsoft/fluentai/pull/1682) by Humberto.Morimoto@microsoft.com)
- fix: Restore ReferenceToggle size differences based on CopilotMode. ([PR #1684](https://github.com/microsoft/fluentai/pull/1684) by owcampbe@microsoft.com)
- chore: add eslint-plugin-react-compiler ([PR #1642](https://github.com/microsoft/fluentai/pull/1642) by seanmonahan@microsoft.com)
- chore: useStyle hook files now properly contain .styles. within filename. ([PR #1671](https://github.com/microsoft/fluentai/pull/1671) by tristan.watanabe@gmail.com)

## [0.11.2](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.11.2)

Wed, 08 May 2024 22:10:20 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.11.1..@fluentui-copilot/react-reference_v0.11.2)

### Patches

- chore: bump @fluentui/react-components to latest, 9.49.2 ([PR #1614](https://github.com/microsoft/fluentai/pull/1614) by sarah.higley@microsoft.com)

## [0.11.1](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.11.1)

Tue, 30 Apr 2024 20:55:43 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.11.0..@fluentui-copilot/react-reference_v0.11.1)

### Patches

- feat: Implementing Reference, ReferenceList and ReferenceOverflowButton from output-v2 designs. ([PR #1586](https://github.com/microsoft/fluentai/pull/1586) by Humberto.Morimoto@microsoft.com)
- chore: bump @fluentui/react-components to latest, 9.49.0  ([PR #1580](https://github.com/microsoft/fluentai/pull/1580) by sarah.higley@microsoft.com)

## [0.11.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.11.0)

Wed, 10 Apr 2024 23:07:50 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.10.0..@fluentui-copilot/react-reference_v0.11.0)

### Minor changes

- fix: Replace usage of deprecated getNativeElementProps with getIntrinsicElementProps. ([PR #1512](https://github.com/microsoft/fluentai/pull/1512) by Humberto.Morimoto@microsoft.com)

## [0.10.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.10.0)

Wed, 03 Apr 2024 00:23:41 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentui-copilot/react-reference_v0.9.0..@fluentui-copilot/react-reference_v0.10.0)

### Minor changes

- chore: Removing deprecated props and hooks that made use of old Popover pattern that was replaced by the use of the Preview component. ([PR #1487](https://github.com/microsoft/fluentai/pull/1487) by Humberto.Morimoto@microsoft.com)
- chore: Removing deprecated ReferenceGroup component that was replaced by useReferenceGroup utility hook. ([PR #1489](https://github.com/microsoft/fluentai/pull/1489) by Humberto.Morimoto@microsoft.com)

## [0.9.0](https://github.com/microsoft/fluentai/tree/@fluentui-copilot/react-reference_v0.9.0)

Wed, 13 Mar 2024 18:01:50 GMT 
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.8.2..@fluentui-copilot/react-reference_v0.9.0)

### Minor changes

- chore: rename package to @fluentui-copilot/react-reference. ([PR #1442](https://github.com/microsoft/fluentai/pull/1442) by tristan.watanabe@gmail.com)
- chore: rename package scope from @fluentai to @fluentui-copilot. ([PR #1442](https://github.com/microsoft/fluentai/pull/1442) by tristan.watanabe@gmail.com)

### Patches

- chore: update provider import to renamed @fluentui-copilot/react-provider.  ([PR #1451](https://github.com/microsoft/fluentai/pull/1451) by tristan.watanabe@gmail.com)

## [0.8.0](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.8.0)

Thu, 15 Feb 2024 20:24:47 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.7.3..@fluentai/reference_v0.8.0)

### Minor changes

- chore: initial release to NPM. ([PR #1358](https://github.com/microsoft/fluentai/pull/1358) by tristan.watanabe@gmail.com)

## [0.7.3](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.7.3)

Fri, 09 Feb 2024 17:34:09 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.7.2..@fluentai/reference_v0.7.3)

### Patches

- fix: change citation locked foreground to properly contrast in HC ([PR #1341](https://github.com/microsoft/fluentai/pull/1341) by mgodbolt@microsoft.com)

## [0.7.2](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.7.2)

Fri, 02 Feb 2024 01:07:14 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.7.1..@fluentai/reference_v0.7.2)

### Patches

- fix: add missing peer dependencies from other Fluent AI package dependency. ([PR #1329](https://github.com/microsoft/fluentai/pull/1329) by tristan.watanabe@gmail.com)

## [0.7.1](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.7.1)

Thu, 18 Jan 2024 00:29:43 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.7.0..@fluentai/reference_v0.7.1)

### Patches

- chore: Export UseReferenceCitationPreview type. ([PR #1323](https://github.com/microsoft/fluentai/pull/1323) by owcampbe@microsoft.com)
- chore: import from react-components instead of react-utilities. ([PR #1314](https://github.com/microsoft/fluentai/pull/1314) by tristan.watanabe@gmail.com)
- fix: Details button on References no longer expands on focus. ([PR #1315](https://github.com/microsoft/fluentai/pull/1315) by humbertomakotomorimoto@gmail.com)

## [0.7.0](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.7.0)

Thu, 11 Jan 2024 22:33:55 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.6.2..@fluentai/reference_v0.7.0)

### Minor changes

- chore: Deprecating old way of handling Citation popovers. ([PR #1309](https://github.com/microsoft/fluentai/pull/1309) by humbertomakotomorimoto@gmail.com)

## [0.6.2](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.6.2)

Tue, 09 Jan 2024 21:07:24 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.6.0..@fluentai/reference_v0.6.2)

### Patches

- chore: export all types from reference package. ([PR #1296](https://github.com/microsoft/fluentai/pull/1296) by mgodbolt@microsoft.com)

## [0.6.0](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.6.0)

Tue, 12 Dec 2023 16:35:16 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.5.0..@fluentai/reference_v0.6.0)

### Minor changes

- feat: Convert `useReferenceGroup` to return props objects instead of components. ([PR #1218](https://github.com/microsoft/fluentai/pull/1218) by owcampbe@microsoft.com)

### Patches

- feat: Add useReferenceGroup hook and ReferenceGroupToggle component. ([PR #1174](https://github.com/microsoft/fluentai/pull/1174) by owcampbe@microsoft.com)
- fix: updated color, background and stroke to match spec and work properly in grey theme ([PR #1224](https://github.com/microsoft/fluentai/pull/1224) by mgodbolt@microsoft.com)
- feat: Add sensitivity slot and deprecate sensitivityLabel slot. ([PR #1237](https://github.com/microsoft/fluentai/pull/1237) by owcampbe@microsoft.com)
- add block layout to citation and use it in reference ([PR #1251](https://github.com/microsoft/fluentai/pull/1251) by mgodbolt@microsoft.com)
- fix: Citation has locked styles when Preview has been locked using the useReferenceCitationPreview hook. ([PR #1252](https://github.com/microsoft/fluentai/pull/1252) by Humberto.Morimoto@microsoft.com)
- fix: change ReferenceList and ReferenceGroup spacing to match spec. ([PR #1186](https://github.com/microsoft/fluentai/pull/1186) by owcampbe@microsoft.com)

## [0.5.0](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.5.0)

Wed, 15 Nov 2023 00:55:22 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.4.2..@fluentai/reference_v0.5.0)

### Minor changes

- chore: move @fluentui dependencies to peer dependencies. ([PR #979](https://github.com/microsoft/fluentai/pull/979) by tristan.watanabe@gmail.com)
- Bump @fluentai/provider to v0.6.0 ([PR #1169](https://github.com/microsoft/fluentai/pull/1169) by beachball)
- Bump @fluentai/react-preview to v0.1.0 ([PR #1169](https://github.com/microsoft/fluentai/pull/1169) by beachball)

### Patches

- feat: Implementing useReferenceCitationPreview hook that builds together a Reference/Citation/Preview experience from a set of passed in props. ([PR #1115](https://github.com/microsoft/fluentai/pull/1115) by Humberto.Morimoto@microsoft.com)
- fix: popover nested in citation can escape without closing citation ([PR #1079](https://github.com/microsoft/fluentai/pull/1079) by sarah.higley@microsoft.com)
- chore: Adding tests for useReferenceCitationPreview hook. ([PR #1151](https://github.com/microsoft/fluentai/pull/1151) by Humberto.Morimoto@microsoft.com)
- chore: Migrate to new slots API. ([PR #1102](https://github.com/microsoft/fluentai/pull/1102) by owcampbe@microsoft.com)
- chore: bump peer deep range to latest @fluentui/react-components 9.37.3. ([PR #1125](https://github.com/microsoft/fluentai/pull/1125) by tristan.watanabe@gmail.com)
- chore: Renaming key of makeStyles object to more correctly refer to when it is applied." ([PR #980](https://github.com/microsoft/fluentai/pull/980) by Humberto.Morimoto@microsoft.com)
- fix: Adding close button behavior to Citation within Preview in useReferenceCitationPreview hook. ([PR #1148](https://github.com/microsoft/fluentai/pull/1148) by Humberto.Morimoto@microsoft.com)

## [0.4.2](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.4.2)

Wed, 18 Oct 2023 00:23:50 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.4.1..@fluentai/reference_v0.4.2)

### Patches

- fix: collapsed reference content was focusable and screen reader-accessible ([PR #1039](https://github.com/microsoft/fluentai/pull/1039) by sarah.higley@microsoft.com)
- fix: Adding overflow boundary padding to Citation Popover. ([PR #1043](https://github.com/microsoft/fluentai/pull/1043) by Humberto.Morimoto@microsoft.com)

## [0.4.1](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.4.1)

Mon, 25 Sep 2023 20:31:08 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.4.0..@fluentai/reference_v0.4.1)

### Patches

- fix: bump swc core to mitigate transpilation memory leaks. ([PR #972](https://github.com/microsoft/fluentai/pull/972) by tristan.watanabe@gmail.com)
- Bump @fluentai/provider to v0.5.1 ([commit](https://github.com/microsoft/fluentai/commit/f633e55414cd3ed596793f7e8916d87a242d8c0d) by beachball)

## [0.4.0](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.4.0)

Fri, 22 Sep 2023 02:11:56 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.3.4..@fluentai/reference_v0.4.0)

### Minor changes

- Bump @fluentai/provider to v0.5.0 ([PR #961](https://github.com/microsoft/fluentai/pull/961) by beachball)

### Patches

- chore: bump fluentui v9 dependencies to latest. ([PR #928](https://github.com/microsoft/fluentai/pull/928) by tristan.watanabe@gmail.com)
- fix: Reference popover citation number is a close button ([PR #954](https://github.com/microsoft/fluentai/pull/954) by sarah.higley@microsoft.com)
- fix: Citation popover positioning opens by default from below. ([PR #941](https://github.com/microsoft/fluentai/pull/941) by makotom@microsoft.com)

## [0.3.4](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.3.4)

Fri, 08 Sep 2023 18:32:55 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.3.3..@fluentai/reference_v0.3.4)

### Patches

- chore: fix citation styles for hover, active, locked open, updated examples ([PR #913](https://github.com/microsoft/fluentai/pull/913) by mgodbolt@microsoft.com)
- fix: Citation popover itself is focused when opened via click or keyboard. ([PR #901](https://github.com/microsoft/fluentai/pull/901) by makotom@microsoft.com)
- fix: Citation popover should have a named dialog and no nested group ([PR #902](https://github.com/microsoft/fluentai/pull/902) by sarah.higley@microsoft.com)
- test: add playwright e2e testing setup and WCAG testing. ([PR #872](https://github.com/microsoft/fluentai/pull/872) by tristan.watanabe@gmail.com)

## [0.3.3](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.3.3)

Thu, 24 Aug 2023 00:37:05 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.3.2..@fluentai/reference_v0.3.3)

### Patches

- fix: Improving handling of citation popover internal state. ([PR #882](https://github.com/microsoft/fluentai/pull/882) by Humberto.Morimoto@microsoft.com)
- fix: Make Reference content break between lines by word instead of by character. ([PR #881](https://github.com/microsoft/fluentai/pull/881) by Humberto.Morimoto@microsoft.com)

## [0.3.2](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.3.2)

Tue, 22 Aug 2023 23:54:16 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.3.1..@fluentai/reference_v0.3.2)

### Patches

- chore: bump fluentui dependencies. ([PR #836](https://github.com/microsoft/fluentai/pull/836) by tristan.watanabe@gmail.com)
- fix: Make media slot be descriptor of label/title. ([PR #845](https://github.com/microsoft/fluentai/pull/845) by Humberto.Morimoto@microsoft.com)
- add useCustomStyleHook to all components ([PR #843](https://github.com/microsoft/fluentai/pull/843) by eysjiang@gmail.com)
- feat: Adding sensitivityLabel slot to Reference component. ([PR #878](https://github.com/microsoft/fluentai/pull/878) by Humberto.Morimoto@microsoft.com)
- fix: Improve citation/reference experience. ([PR #859](https://github.com/microsoft/fluentai/pull/859) by Humberto.Morimoto@microsoft.com)
- Bump @fluentai/provider to v0.4.0 ([PR #878](https://github.com/microsoft/fluentai/pull/878) by beachball)

## [0.3.1](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.3.1)

Thu, 10 Aug 2023 17:07:07 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.3.0..@fluentai/reference_v0.3.1)

### Patches

- fix: update ReferenceGroup to not expose collapsed accordion contents ([PR #722](https://github.com/microsoft/fluentai/pull/722) by sarah.higley@microsoft.com)

## [0.3.0](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.3.0)

Mon, 24 Jul 2023 22:38:51 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.2.3..@fluentai/reference_v0.3.0)

### Minor changes

- Bump @fluentai/provider to v0.3.0 ([PR #778](https://github.com/microsoft/fluentai/pull/778) by beachball)

### Patches

- fix: Adding word-break styles to Reference content. ([PR #732](https://github.com/microsoft/fluentai/pull/732) by Humberto.Morimoto@microsoft.com)
- chore: bump react-components to latest ([PR #741](https://github.com/microsoft/fluentai/pull/741) by mgodbolt@microsoft.com)
- fix: Updating citation/reference interaction model to adhere to latest design specification. ([PR #726](https://github.com/microsoft/fluentai/pull/726) by Humberto.Morimoto@microsoft.com)
- fix: Stop hover behavior from overriding popover's open/close state when it has been opened via click or focus+enter. ([PR #778](https://github.com/microsoft/fluentai/pull/778) by Humberto.Morimoto@microsoft.com)

## [0.2.3](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.2.3)

Wed, 28 Jun 2023 21:11:32 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.2.2..@fluentai/reference_v0.2.3)

### Patches

- fix: only use griffel preset during babel transpilation in build step. ([PR #662](https://github.com/microsoft/fluentai/pull/662) by tristan.watanabe@gmail.com)
- Bump @fluentai/provider to v0.2.2 ([PR #662](https://github.com/microsoft/fluentai/pull/662) by beachball)

## [0.2.2](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.2.2)

Mon, 26 Jun 2023 18:30:47 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.2.1..@fluentai/reference_v0.2.2)

### Patches

- chore: enable 'ref' conformance test for ReferenceGroup ([PR #584](https://github.com/microsoft/fluentai/pull/584) by seanmonahan@microsoft.com)
- fix: update Reference styles to better handle long titles ([PR #595](https://github.com/microsoft/fluentai/pull/595) by seanmonahan@microsoft.com)
- chore: update babel configuration to support Griffel build time optimizations. ([PR #618](https://github.com/microsoft/fluentai/pull/618) by seanmonahan@microsoft.com)
- chore: add LICENSE file to package. ([PR #606](https://github.com/microsoft/fluentai/pull/606) by tristan.watanabe@gmail.com)
- Bump @fluentai/provider to v0.2.1 ([PR #618](https://github.com/microsoft/fluentai/pull/618) by beachball)

## [0.2.1](https://github.com/microsoft/fluentai/tree/@fluentai/reference_v0.2.1)

Mon, 12 Jun 2023 20:28:32 GMT
[Compare changes](https://github.com/microsoft/fluentai/compare/@fluentai/reference_v0.2.0..@fluentai/reference_v0.2.1)

### Patches

- chore: bump @swc/helpers dependency. ([PR #514](https://github.com/microsoft/fluentai/pull/514) by tristan.watanabe@gmail.com)
- add package dependencies ([PR #575](https://github.com/microsoft/fluentai/pull/575) by mgodbolt@microsoft.com)
- fix: accessibility fixes for @fluentai/reference ([PR #461](https://github.com/microsoft/fluentai/pull/461) by seanmonahan@microsoft.com)
- fix: Visual bug fixes for Reference. ([PR #462](https://github.com/microsoft/fluentai/pull/462) by seanmonahan@microsoft.com)
- Updates mode to listen to context ([PR #507](https://github.com/microsoft/fluentai/pull/507) by matejera@microsoft.com)
- chore: bump @fluentui/react-components dependency to latest. ([PR #523](https://github.com/microsoft/fluentai/pull/523) by tristan.watanabe@gmail.com)
- fix: properly export static classnames and use fai- classname prefix. ([PR #550](https://github.com/microsoft/fluentai/pull/550) by tristan.watanabe@gmail.com)
- fix: update Citation colors at rest ([PR #480](https://github.com/microsoft/fluentai/pull/480) by seanmonahan@microsoft.com)
- fix: add missing fluentui dependencies to package.json. ([PR #509](https://github.com/microsoft/fluentai/pull/509) by tristan.watanabe@gmail.com)
- Bump @fluentai/provider to v0.2.0 ([PR #573](https://github.com/microsoft/fluentai/pull/573) by beachball)

## 0.2.0

Mon, 22 May 2023 18:06:18 GMT

### Minor changes

- BREAKING CHANGE: refactors Reference to use more Slots (seanmonahan@microsoft.com)
- Bump @fluentai/provider to v0.1.6

### Patches

- basic unit tests for reference package (seanmonahan@microsoft.com)
- Adds dependency on fluentai/provider and CopilotMode (matejera@microsoft.com)
- revert use of 'hidden' attribute for references (seanmonahan@microsoft.com)
- implement Citation/Reference popover (seanmonahan@microsoft.com)

## 0.1.2

Mon, 08 May 2023 15:45:26 GMT

### Patches

- fix: publish missing lib and lib-commonjs folders. (tristan.watanabe@gmail.com)

## 0.1.1

Wed, 03 May 2023 22:41:34 GMT

### Patches

- chore: Make @fluentai/reference package public (seanmonahan@microsoft.com)
