"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "Citation", {
    enumerable: true,
    get: function() {
        return Citation;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useCitation = require("./useCitation");
const _renderCitation = require("./renderCitation");
const _useCitationStylesstyles = require("./useCitationStyles.styles");
const _reactprovider = require("@fluentui-copilot/react-provider");
const Citation = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = (0, _useCitation.useCitation_unstable)(props, ref);
    (0, _useCitationStylesstyles.useCitationStyles_unstable)(state);
    (0, _reactprovider.useCustomStyleHook)('useCitationStyles')(state);
    return (0, _renderCitation.renderCitation_unstable)(state);
});
Citation.displayName = 'Citation'; //# sourceMappingURL=Citation.js.map
