"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useReferenceGroupToggle_unstable", {
    enumerable: true,
    get: function() {
        return useReferenceGroupToggle_unstable;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _reactcomponents = require("@fluentui/react-components");
const _reacticons = require("@fluentui/react-icons");
const _reactprovider = require("@fluentui-copilot/react-provider");
const useReferenceGroupToggle_unstable = (props, ref)=>{
    const { isOpen = false } = props;
    const mode = (0, _reactprovider.useCopilotMode)(props.mode);
    return {
        mode,
        isOpen,
        components: {
            root: 'button',
            icon: 'span'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('button', {
            ref,
            'aria-expanded': isOpen,
            type: 'button',
            ...props
        }), {
            elementType: 'button'
        }),
        icon: _reactcomponents.slot.optional(props.icon, {
            defaultProps: {
                children: isOpen ? /*#__PURE__*/ _react.createElement(_reacticons.ChevronUp16Regular, null) : /*#__PURE__*/ _react.createElement(_reacticons.ChevronDown16Regular, null)
            },
            renderByDefault: true,
            elementType: 'span'
        })
    };
}; //# sourceMappingURL=useReferenceGroupToggle.js.map
