"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "Reference", {
    enumerable: true,
    get: function() {
        return Reference;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useReference = require("./useReference");
const _renderReference = require("./renderReference");
const _useReferenceStylesstyles = require("./useReferenceStyles.styles");
const Reference = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = (0, _useReference.useReference_unstable)(props, ref);
    (0, _useReferenceStylesstyles.useReferenceStyles_unstable)(state);
    return (0, _renderReference.renderReference_unstable)(state);
});
Reference.displayName = 'Reference'; //# sourceMappingURL=Reference.js.map
