"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    Citation: function() {
        return _Citation.Citation;
    },
    Reference: function() {
        return _Reference.Reference;
    },
    ReferenceGroupToggle: function() {
        return _ReferenceGroupToggle.ReferenceGroupToggle;
    },
    ReferenceList: function() {
        return _ReferenceList.ReferenceList;
    },
    ReferenceListContext: function() {
        return _referencev2.ReferenceListContext;
    },
    ReferenceListContextProvider: function() {
        return _referencev2.ReferenceListContextProvider;
    },
    ReferenceListV2: function() {
        return _ReferenceListV2.ReferenceList;
    },
    ReferenceOverflowButton: function() {
        return _ReferenceOverflowButton.ReferenceOverflowButton;
    },
    ReferenceV2: function() {
        return _ReferenceV2.Reference;
    },
    citationClassNames: function() {
        return _Citation.citationClassNames;
    },
    generateReferenceCitationPreview: function() {
        return _referencev21.generateReferenceCitationPreview;
    },
    referenceClassNames: function() {
        return _Reference.referenceClassNames;
    },
    referenceGroupToggleClassNames: function() {
        return _ReferenceGroupToggle.referenceGroupToggleClassNames;
    },
    referenceListClassNames: function() {
        return _ReferenceList.referenceListClassNames;
    },
    referenceListV2ClassNames: function() {
        return _ReferenceListV2.referenceListClassNames;
    },
    referenceOverflowButtonClassNames: function() {
        return _ReferenceOverflowButton.referenceOverflowButtonClassNames;
    },
    referenceV2ClassNames: function() {
        return _ReferenceV2.referenceClassNames;
    },
    referenceV2ExtraClassNames: function() {
        return _ReferenceV2.referenceExtraClassNames;
    },
    renderCitation_unstable: function() {
        return _Citation.renderCitation_unstable;
    },
    renderReferenceGroupToggle_unstable: function() {
        return _ReferenceGroupToggle.renderReferenceGroupToggle_unstable;
    },
    renderReferenceListV2_unstable: function() {
        return _ReferenceListV2.renderReferenceList_unstable;
    },
    renderReferenceList_unstable: function() {
        return _ReferenceList.renderReferenceList_unstable;
    },
    renderReferenceOverflowButton_unstable: function() {
        return _ReferenceOverflowButton.renderReferenceOverflowButton_unstable;
    },
    renderReferenceV2_unstable: function() {
        return _ReferenceV2.renderReference_unstable;
    },
    renderReference_unstable: function() {
        return _Reference.renderReference_unstable;
    },
    useCitationStyles_unstable: function() {
        return _Citation.useCitationStyles_unstable;
    },
    useCitation_unstable: function() {
        return _Citation.useCitation_unstable;
    },
    useReferenceCitationPreview: function() {
        return _utilities.useReferenceCitationPreview;
    },
    useReferenceCitationPreviewV2: function() {
        return _referencev21.useReferenceCitationPreview;
    },
    useReferenceGroup: function() {
        return _utilities.useReferenceGroup;
    },
    useReferenceGroupToggleStyles_unstable: function() {
        return _ReferenceGroupToggle.useReferenceGroupToggleStyles_unstable;
    },
    useReferenceGroupToggle_unstable: function() {
        return _ReferenceGroupToggle.useReferenceGroupToggle_unstable;
    },
    useReferenceListContext_unstable: function() {
        return _referencev2.useReferenceListContext_unstable;
    },
    useReferenceListStyles_unstable: function() {
        return _ReferenceList.useReferenceListStyles_unstable;
    },
    useReferenceListV2Styles_unstable: function() {
        return _ReferenceListV2.useReferenceListStyles_unstable;
    },
    useReferenceListV2_unstable: function() {
        return _ReferenceListV2.useReferenceList_unstable;
    },
    useReferenceList_unstable: function() {
        return _ReferenceList.useReferenceList_unstable;
    },
    useReferenceOverflowButtonStyles_unstable: function() {
        return _ReferenceOverflowButton.useReferenceOverflowButtonStyles_unstable;
    },
    useReferenceOverflowButton_unstable: function() {
        return _ReferenceOverflowButton.useReferenceOverflowButton_unstable;
    },
    useReferenceStyles_unstable: function() {
        return _Reference.useReferenceStyles_unstable;
    },
    useReferenceV2Styles_unstable: function() {
        return _ReferenceV2.useReferenceStyles_unstable;
    },
    useReferenceV2_unstable: function() {
        return _ReferenceV2.useReference_unstable;
    },
    useReference_unstable: function() {
        return _Reference.useReference_unstable;
    }
});
const _Citation = require("./Citation");
const _Reference = require("./Reference");
const _utilities = require("./utilities");
const _ReferenceList = require("./ReferenceList");
const _ReferenceGroupToggle = require("./ReferenceGroupToggle");
const _ReferenceV2 = require("./ReferenceV2");
const _ReferenceListV2 = require("./ReferenceListV2");
const _ReferenceOverflowButton = require("./ReferenceOverflowButton");
const _referencev2 = require("./contexts/reference-v2");
const _referencev21 = require("./utilities/reference-v2");
 //# sourceMappingURL=index.js.map
