import * as React from 'react';
import { useReference_unstable } from './useReference';
import { renderReference_unstable } from './renderReference';
import { useReferenceStyles_unstable } from './useReferenceStyles.styles';
import { useCustomStyleHook } from '@fluentui-copilot/react-provider';
/** deprecated Use ReferenceV2 component, hooks and types instead. */
export const Reference = /*#__PURE__*/React.forwardRef((props, ref) => {
  const state = useReference_unstable(props, ref);
  useReferenceStyles_unstable(state);
  useCustomStyleHook('useReferenceStyles')(state);
  return renderReference_unstable(state);
});
Reference.displayName = 'Reference';
//# sourceMappingURL=Reference.js.map