import * as React from 'react';
import { useReferenceList_unstable } from './useReferenceList';
import { renderReferenceList_unstable } from './renderReferenceList';
import { useReferenceListStyles_unstable } from './useReferenceListStyles.styles';
import { useCustomStyleHook } from '@fluentui-copilot/react-provider';
/** deprecated Use ReferenceListV2 component, hooks and types instead. */
export const ReferenceList = /*#__PURE__*/React.forwardRef((props, ref) => {
  const state = useReferenceList_unstable(props, ref);
  useReferenceListStyles_unstable(state);
  useCustomStyleHook('useReferenceListStyles')(state);
  return renderReferenceList_unstable(state);
});
ReferenceList.displayName = 'ReferenceList';
//# sourceMappingURL=ReferenceList.js.map