import * as React from 'react';
import { renderReferenceList_unstable } from './renderReferenceList';
import { useReferenceList_unstable } from './useReferenceList';
import { useReferenceListStyles_unstable } from './useReferenceListStyles.styles';
import { useReferenceListContextValues_unstable } from './useReferenceListContextValues';
export const ReferenceList = /*#__PURE__*/React.forwardRef((props, ref) => {
  const state = useReferenceList_unstable(props, ref);
  const referenceListContextValues = useReferenceListContextValues_unstable(state);
  useReferenceListStyles_unstable(state);
  return renderReferenceList_unstable(state, referenceListContextValues);
});
ReferenceList.displayName = 'ReferenceList';
//# sourceMappingURL=ReferenceList.js.map