export function useReferenceListContextValues_unstable(state) {
  const {
    areReferencesExpanded,
    maxVisibleReferences,
    overflowButtonTriggeredViaKeyboard,
    referenceListRef,
    shouldUseOverflow,
    totalReferencesCount
  } = state;
  // This context is created with "@fluentui/react-context-selector", there is no sense to memoize it
  const referenceList = {
    areReferencesExpanded,
    maxVisibleReferences,
    overflowButtonTriggeredViaKeyboard,
    referenceListRef,
    shouldUseOverflow,
    totalReferencesCount
  };
  return {
    referenceList
  };
}
//# sourceMappingURL=useReferenceListContextValues.js.map