"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "useCitation_unstable", {
    enumerable: true,
    get: function() {
        return useCitation_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const _reactpreview = require("@fluentui-copilot/react-preview");
const _reactprovider = require("@fluentui-copilot/react-provider");
const useCitation_unstable = (props, ref)=>{
    const { referenceHref, block = false, ...otherProps } = props;
    const designVersion = (0, _reactprovider.useDesignVersion)(props.designVersion);
    const isPopoverLocked = (0, _reactpreview.usePreviewContext_unstable)((ctx)=>ctx.isPreviewLocked) && props['aria-expanded'];
    const state = {
        block,
        designVersion,
        isPopoverLocked,
        components: {
            root: 'a'
        },
        root: _reactcomponents.slot.always((0, _reactcomponents.getIntrinsicElementProps)('a', {
            ref,
            href: referenceHref,
            role: undefined,
            'aria-expanded': undefined,
            ...otherProps
        }), {
            elementType: 'a'
        })
    };
    return state;
}; //# sourceMappingURL=useCitation.js.map
