"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "ReferenceList", {
    enumerable: true,
    get: function() {
        return ReferenceList;
    }
});
const _interop_require_wildcard = require("@swc/helpers/_/_interop_require_wildcard");
const _react = /*#__PURE__*/ _interop_require_wildcard._(require("react"));
const _useReferenceList = require("./useReferenceList");
const _renderReferenceList = require("./renderReferenceList");
const _useReferenceListStylesstyles = require("./useReferenceListStyles.styles");
const _reactprovider = require("@fluentui-copilot/react-provider");
const ReferenceList = /*#__PURE__*/ _react.forwardRef((props, ref)=>{
    const state = (0, _useReferenceList.useReferenceList_unstable)(props, ref);
    (0, _useReferenceListStylesstyles.useReferenceListStyles_unstable)(state);
    (0, _reactprovider.useCustomStyleHook)('useReferenceListStyles')(state);
    return (0, _renderReferenceList.renderReferenceList_unstable)(state);
});
ReferenceList.displayName = 'ReferenceList'; //# sourceMappingURL=ReferenceList.js.map
