"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    referenceListClassNames: function() {
        return referenceListClassNames;
    },
    referenceListItemClassName: function() {
        return referenceListItemClassName;
    },
    useReferenceListStyles_unstable: function() {
        return useReferenceListStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const referenceListClassNames = {
    root: 'fai-ReferenceList'
};
const referenceListItemClassName = 'fai-ReferenceList__item';
/**
 * Styles for the root slot
 */ const useRootClassName = (0, _reactcomponents.__resetStyles)("rc0s888", null, [
    ".rc0s888{padding:0;margin:0;display:flex;flex-direction:column;gap:var(--spacingVerticalS);}",
    ".rc0s888>.fai-ReferenceList__item{list-style-type:none;}"
]);
const useReferenceListStyles_unstable = (state)=>{
    'use no memo';
    state.root.className = (0, _reactcomponents.mergeClasses)(referenceListClassNames.root, useRootClassName(), state.root.className);
    return state;
}; //# sourceMappingURL=useReferenceListStyles.styles.js.map
