"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    referenceListClassNames: function() {
        return referenceListClassNames;
    },
    useReferenceListStyles_unstable: function() {
        return useReferenceListStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const referenceListClassNames = {
    root: 'fai-ReferenceList',
    arrowableRegion: 'fai-ReferenceList__arrowableRegion',
    showMoreButton: 'fai-ReferenceList__showMoreButton',
    showLessButton: 'fai-ReferenceList__showLessButton'
};
/**
 * Styles for the root slot
 */ const useRootBaseClassName = (0, _reactcomponents.__resetStyles)("rylvie1", null, [
    ".rylvie1{display:flex;flex-direction:row;gap:var(--spacingVerticalXS) var(--spacingHorizontalXS);}"
]);
const useRootStyles = (0, _reactcomponents.__styles)({
    referencesExpanded: {
        Eh141a: "fni485r"
    }
}, {
    d: [
        ".fni485r{flex-wrap:wrap;}"
    ]
});
const useArrowableRegionBaseClassName = (0, _reactcomponents.__resetStyles)("rhs5m2c", null, [
    ".rhs5m2c{display:contents;max-width:100%;}"
]);
const useOverflowButtonBaseClassName = (0, _reactcomponents.__resetStyles)("rulvm7g", null, [
    ".rulvm7g{display:inline-flex;flex-shrink:0;}"
]);
const useReferenceListStyles_unstable = (state)=>{
    'use no memo';
    const { areReferencesExpanded, shouldUseOverflow } = state;
    const rootBaseClassName = useRootBaseClassName();
    const arrowableRegionBaseClassName = useArrowableRegionBaseClassName();
    const overflowButtonBaseClassName = useOverflowButtonBaseClassName();
    const rootStyles = useRootStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(referenceListClassNames.root, rootBaseClassName, (areReferencesExpanded || !shouldUseOverflow) && rootStyles.referencesExpanded, state.root.className);
    state.arrowableRegion.className = (0, _reactcomponents.mergeClasses)(referenceListClassNames.arrowableRegion, arrowableRegionBaseClassName, state.arrowableRegion.className);
    if (state.showMoreButton) {
        state.showMoreButton.className = (0, _reactcomponents.mergeClasses)(referenceListClassNames.showMoreButton, overflowButtonBaseClassName, state.showMoreButton.className);
    }
    if (state.showLessButton) {
        state.showLessButton.className = (0, _reactcomponents.mergeClasses)(referenceListClassNames.showLessButton, overflowButtonBaseClassName, state.showLessButton.className);
    }
    return state;
}; //# sourceMappingURL=useReferenceListStyles.styles.js.map
