"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    ReferenceListContext: function() {
        return ReferenceListContext;
    },
    ReferenceListContextProvider: function() {
        return ReferenceListContextProvider;
    },
    useReferenceListContext_unstable: function() {
        return useReferenceListContext_unstable;
    }
});
const _reactcontextselector = require("@fluentui/react-context-selector");
const ReferenceListContext = (0, _reactcontextselector.createContext)(undefined);
const referenceListContextDefaultValue = {
    areReferencesExpanded: false,
    maxVisibleReferences: undefined,
    overflowButtonTriggeredViaKeyboard: {
        current: false
    },
    referenceListRef: {
        current: null
    },
    shouldUseOverflow: false,
    totalReferencesCount: 0
};
const ReferenceListContextProvider = ReferenceListContext.Provider;
const useReferenceListContext_unstable = (selector)=>(0, _reactcontextselector.useContextSelector)(ReferenceListContext, (ctx = referenceListContextDefaultValue)=>selector(ctx)); //# sourceMappingURL=referenceListContext.js.map
