import { __resetStyles, mergeClasses } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
/** deprecated Use ReferenceListV2 component, hooks and types instead. */
export const referenceListClassNames = {
  root: 'fai-ReferenceList'
};
/** deprecated Use ReferenceListV2 component, hooks and types instead. */
export const referenceListItemClassName = 'fai-ReferenceList__item';
/**
 * Styles for the root slot
 */
const useRootClassName = __resetStyles("rc0s888", null, [".rc0s888{padding:0;margin:0;display:flex;flex-direction:column;gap:var(--spacingVerticalS);}", ".rc0s888>.fai-ReferenceList__item{list-style-type:none;}"]);
/**
 * Apply styling to the ReferenceList slots based on the state
 *
 * deprecated Use ReferenceListV2 component, hooks and types instead.
 */
export const useReferenceListStyles_unstable = state => {
  'use no memo';

  state.root.className = mergeClasses(referenceListClassNames.root, useRootClassName(), state.root.className);
  return state;
};
//# sourceMappingURL=useReferenceListStyles.styles.js.map