import { jsx as _jsx, jsxs as _jsxs } from "@fluentui/react-jsx-runtime/jsx-runtime";
import { Overflow, assertSlots } from '@fluentui/react-components';
import { ReferenceListContextProvider } from '../../../contexts/reference-v2/referenceListContext';
/**
 * Render the final JSX of ReferenceList
 */
export const renderReferenceList_unstable = (state, contextValues) => {
  assertSlots(state);
  const {
    minVisibleReferences
  } = state;
  return /*#__PURE__*/_jsx(ReferenceListContextProvider, {
    value: contextValues.referenceList,
    children: /*#__PURE__*/_jsx(Overflow, {
      minimumVisible: minVisibleReferences,
      children: /*#__PURE__*/_jsxs(state.root, {
        children: [/*#__PURE__*/_jsx(state.arrowableRegion, {}), state.showMoreButton && /*#__PURE__*/_jsx(state.showMoreButton, {}), state.showLessButton && /*#__PURE__*/_jsx(state.showLessButton, {})]
      })
    })
  });
};
//# sourceMappingURL=renderReferenceList.js.map