import { createContext, useContextSelector } from '@fluentui/react-context-selector';
export const ReferenceListContext = createContext(undefined);
const referenceListContextDefaultValue = {
  areReferencesExpanded: false,
  maxVisibleReferences: undefined,
  overflowButtonTriggeredViaKeyboard: {
    current: false
  },
  referenceListRef: {
    current: null
  },
  shouldUseOverflow: false,
  totalReferencesCount: 0
};
export const ReferenceListContextProvider = ReferenceListContext.Provider;
export const useReferenceListContext_unstable = selector => useContextSelector(ReferenceListContext, (ctx = referenceListContextDefaultValue) => selector(ctx));
//# sourceMappingURL=referenceListContext.js.map